This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 910536 - (lskat) Review Request: lskat - A fun and engaging card game
Review Request: lskat - A fun and engaging card game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 14:31 EST by Rex Dieter
Modified: 2013-02-19 09:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 09:45:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 14:31:26 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/lskat.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/lskat-4.10.0-1.fc18.src.rpm
Description: A fun and engaging card game
Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-02-15 10:21:26 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/lskat.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/lskat-4.10.0-2.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license
Comment 2 nucleo 2013-02-18 14:45:11 EST
Sources in src under LGOLv2+
"GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version."

But sources in src/fromlibkdegames under LGPLv2
"This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation."

There is also notice about src/fromlibkdegames files:
These files were originally part of libkdegames, but they have since been
deprecated by libkcardgame. Since LSkat is the only application still using
them, they have been moved here. If LSkat is ever ported to libkcardgame
this directory can be removed.

So I assume thet License tag should be:

License: LGPLv2 and GFDL

File AUTHORS can be added in %doc (not a blocker)

%description can be extended a bit
Lieutenant Skat (from German Offiziersskat) is a fun and engaging card game
for two players, where the second player is either live opponent, or built in artificial intelligence.
Comment 3 Rex Dieter 2013-02-18 14:50:20 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/lskat.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/lskat-4.10.0-3.fc18.src.rpm

%changelog
* Mon Feb 18 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, description.
Comment 4 nucleo 2013-02-18 14:56:26 EST
MUST Items:
+ rpmlint output
  $ rpmlint lskat-4.10.0-1.fc18.i686.rpm lskat-debuginfo-4.10.0-1.fc18.i686.rpm lskat-4.10.0-3.fc18.src.rpm lskat.spec 
    lskat.i686: W: no-manual-page-for-binary lskat
    lskat.src: W: spelling-error %description -l en_US builtin -> built in, built-in, built
    3 packages and 1 specfiles checked; 0 errors, 2 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name lskat-4.10.0.tar.xz
+ spec file name lskat.spec matches base package name
+ complies with all the legal guidelines:
  + License: LGPLv2 and GFDL, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING.LIB (GNU LIBRARY GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 19824bcf3630c4a8fd0d5cdf249b3a0f  lskat-4.10.0.tar.xz
  SHA1: 0e8a52cd04be1debb31d80b095cb76afcd5ceb78  lskat-4.10.0.tar.xz
  SHA256: 15ac52c7992c46fb62431a2eeb8a4ceb569401e0eab55cb98db860be8bba1cba  lskat-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, sounds, themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ lskat.desktop file for the GUI app lskat present
+ desktop-file-validate is used in %check and the lskat.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from lskat's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING.LIB, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 5 Rex Dieter 2013-02-18 16:20:39 EST
New Package SCM Request
=======================
Package Name: lskat
Short Description: A fun and engaging card game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2013-02-18 17:31:50 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-19 09:45:30 EST
imported

Note You need to log in before you can comment on or make changes to this bug.